----------------------------------------------
-- Luna2Box.lua
-- by Lygin Gennady a.k.a. Croc 13.06.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale"
require "closeButton"
require "pCXBox"
----------------------------------------------
-- Set initial values
----------------------------------------------
local obs = celestia:getobserver()
local newwidth, newheight
local gn=42
local gg=gn-1
local  Luna2FrameWidth, Luna2FrameHeight = 170, 14*gn+4
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
Luna2Box = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

Luna2Button = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("Lu2"))
    :movable(false)
    :visible(false) 
    :active(true) 
    :attach(Luna2Box,0,0,0,0) 

Luna2Check = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(Luna2Box, 20, 0, 0, 0)

Luna2Box.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    Luna2Button.Visible = GuidesVisibility -- display or undisplay Button
    Luna2Check.Visible = GuidesVisibility  -- display or undisplay Check
    if Luna2Check.Text ==  "o" then
		Luna2Frame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

Luna2Button.Action = (function()
        return
            function()
              display_Luna2= not display_Luna2
                if display_Luna2 then                    				
                    Luna2Frame.Visible = true                    
                    Luna2Check.Text = "o"
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")
					else
                    Luna2Frame.Visible = false                  
                    Luna2Check.Text = ""
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point") 
                end
            end
        end) ()
------------------------------------------------------------------------------------------------------------------------------
Luna2Frame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-Luna2FrameWidth)/2, height-Luna2FrameHeight-2, (width-Luna2FrameWidth)/2, 2)

 Luna2Frame.Customdraw = function(this) 

            if Luna2_firstTickDone then
            if not(Luna2CloseButtonDone) then
                Luna2CloseButtonDone = true
                makeCloseButton(Luna2CloseButton, Luna2Frame, Luna2Button)
            end
            else
                Luna2_firstTickDone = true            
            end    

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height 
                if height>=768  then            
                    Luna2Frame:attach(screenBox, width-Luna2FrameWidth-36, height-Luna2FrameHeight-128-27, 36, 128+27) 
               else
                    Luna2Frame:attach(screenBox, width-Luna2FrameWidth-200, height-Luna2FrameHeight-3, 200, 3)  
               end                   
            end
         
	    textlayout:setfont(normalfont)
            textlayout:setfontcolor({0.2,0.8,1,1})        
	    textlayout:setpos(this.lb+25, this.tb - 14)         
            textlayout:println(_("USA-NASA. MOON"))
end

--==================
-- Подключение команд 
--==================
Luna2101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Name / Start Date / Mission:"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 2, 2+14*(gg-1), 2, 5+14*1)
--==================
Luna2102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Mission: The manned landing"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 2, 2+14*(gg-2), 2, 5+14*2)
--==================
Luna2103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 1"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-3), 120, 5+14*3)

Luna2203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("26-02-66"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 52, 2+14*(gg-3), 76, 5+14*3)

Luna2303Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Suborbital"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 96, 2+14*(gg-3), 2, 5+14*3)
--==================
Luna2104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 3"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 2, 2+14*(gg-4), 120, 5+14*4)

Luna2204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("05-07-66"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 52, 2+14*(gg-4), 76, 5+14*4)

Luna2304Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("4 tur.ar.Earth"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 96, 2+14*(gg-4), 2, 5+14*4)
--==================
Luna2105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Explosion last on 4th coil."))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 2, 2+14*(gg-5), 2, 5+14*5)
--==================
Luna2106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 2"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-6), 120, 5+14*6)

Luna2206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("25-08-66"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 52, 2+14*(gg-6), 76, 5+14*6)

Luna2306Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Suborbital"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 96, 2+14*(gg-6), 2, 5+14*6)
--==================
Luna2107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 4"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-7), 120, 5+14*7)

Luna2207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("21-02-67"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 52, 2+14*(gg-7), 76, 5+14*7)

Luna2307Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("<Apollo 1"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 96, 2+14*(gg-7), 2, 5+14*7)
--==================
Luna2108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Fire. Killed the entire crew:"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 2, 2+14*(gg-8), 2, 5+14*8)

Luna2109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("V. Grissom, E. White, R. Chaffee"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 2, 2+14*(gg-9), 2, 5+14*9)
--==================
Luna2110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Unmanned launches:"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 2, 2+14*(gg-10), 2, 5+14*10)
--==================
Luna2111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 4"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-11), 120, 5+14*11)

Luna2211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("09-11-67"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 52, 2+14*(gg-11), 76, 5+14*11)

Luna2311Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Test Saturn 5"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 96, 2+14*(gg-11), 2, 5+14*11)
--==================
Luna2112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 5"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-12), 120, 5+14*12)

Luna2212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("22-01-68"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 52, 2+14*(gg-12), 76, 5+14*12)

Luna2312Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Test l.module"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 96, 2+14*(gg-13), 2, 5+14*13)
--==================
Luna2113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 6"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-13), 120, 5+14*13)

Luna2213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("04-04-68"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 52, 2+14*(gg-13), 76, 5+14*13)

Luna2313Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Test l.module"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 96, 2+14*(gg-12), 2, 5+14*12)
--==================
Luna2114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Manned flights:"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 3, 2+14*(gg-14), 2, 5+14*14)
--==================
Luna2115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 7"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 3, 2+14*(gg-15), 120, 5+14*15)

Luna2215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("11-10-68"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 52, 2+14*(gg-15), 76, 5+14*15)

Luna2315Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Around Earth"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 96, 2+14*(gg-15), 2, 5+14*15)
--==================
Luna2116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 8"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-16), 120, 5+14*16)

Luna2216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("21-12-68"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 52, 2+14*(gg-16), 76, 5+14*16)

Luna2316Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Around Moon"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 96, 2+14*(gg-16), 2, 5+14*16)
--==================
Luna2117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 9"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-17), 120, 5+14*17)

Luna2217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("03-03-69"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 52, 2+14*(gg-17), 76, 5+14*17)

Luna2317Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Simulated"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 96, 2+14*(gg-17), 2, 5+14*17)
--==================
Luna2118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Rehearsal of landing on Moon:"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 2, 2+14*(gg-18), 2, 5+14*18)
--==================
Luna2119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 10 "))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-19), 120, 5+14*19)

Luna2119Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Apollo 10 S-IVB 505")           
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Apollo%2010%20S-IVB%20505/1969-05-21T23:41:25.98625?x=QGAb6fP//////////////w&y=4RkI6vv//////////////w&z=nhsjMg&ow=0.418415&ox=0.40611&oy=0.57219&oz=-0.576716&track=Sol:Apollo%2010%20S-IVB%20505&select=Sol:Apollo%2010%20S-IVB%20505&fov=42.6111&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()
-----------------------------------
Luna2219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("18-05-69"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 52, 2+14*(gg-19), 76, 5+14*19)

Luna2319Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("stage S-IVB"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 96, 2+14*(gg-19), 2, 5+14*19)
--==================
Luna2120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 10 CM"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-20), 90+12, 5+14*20)

Luna2120Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Apollo 10 CM")           
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Follow/Sol:Earth:Apollo%2010%20CM/1970-01-01T09:56:28.99679?x=uE2lr/z//////////////w&y=2y2hogI&z=5jVDxwM&ow=0.784038&ox=0.382321&oy=0.144634&oz=-0.467114&track=Sol:Earth:Apollo%2010%20CM&select=Sol:Earth:Apollo%2010%20CM&fov=42.6111&ts=1000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.30)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()
-----------------------------------
Luna2320Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("CM - Charlie Brown"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 70, 2+14*(gg-20), 2, 5+14*20)
--==================
Luna2121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 10 LM"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-21), 90+12, 5+14*21)

Luna2121Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Apollo 10 LM")           
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Apollo%2010%20LM/1969-05-23T06:15:51.77408?x=KxJesvv//////////////w&y=tIpbBg&z=OVUhSQ&ow=0.711455&ox=0.157467&oy=0.664895&oz=-0.164164&track=Sol:Apollo%2010%20LM&select=Sol:Apollo%2010%20LM&fov=42.6111&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.3)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()
-----------------------------------
Luna2321Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("LM - Snoopy"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 70, 2+14*(gg-21), 2, 5+14*21)
--==================
Luna2122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({1,0,0,.8})  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("The first ever landing on the Moon:"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 2, 2+14*(gg-22),  2, 5+14*22)
--==================
Luna2123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 11+LEM"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-23), 85+12, 5+14*23)

Luna2123Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Apollo 11+LEM")           
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:Moon:Apollo%2011%2bLEM/1969-07-16T16:28:41.56329?x=3lVdyCE&y=P9fCUAE&z=8wxSCQQ&ow=-0.636185&ox=-0.370686&oy=0.550742&oz=-0.393119&track=Sol:Earth:Moon:Apollo%2011%2bLEM&select=Sol:Earth:Moon:Apollo%2011%2bLEM&fov=42.6111&ts=10&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.3)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()
-----------------------------------
Luna2323Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Columbia+Eagle"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 75, 2+14*(gg-23), 2, 5+14*23)
--==================
Luna2124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 11"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-24), 105+12, 5+14*24)

Luna2124Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Apollo 11")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sol:Earth:Moon:Apollo%2011/1969-07-16T16:24:28.71984?x=6U/SS+7//////////////w&y=NFwK6fH//////////////w&z=qRo1L/7//////////////w&ow=0.274977&ox=0.340078&oy=0.651414&oz=-0.619996&track=Sol:Earth:Moon:Apollo%2011&select=Sol:Earth:Moon:Apollo%2011&fov=42.6111&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.6)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()
----------------------------------
Luna2324Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Astronauts: Collins,"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 55, 2+14*(gg-24), 2, 5+14*24)
--==================
Luna2125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("LEM Eagle"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-25), 105+12, 5+14*25)

Luna2125Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/Moon/LEM 'Eagle'")           
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:Moon:LEM%20'Eagle'/1969-07-25T20:05:28.88119?x=rvZrpfb//////////////w&y=VYadVg&z=RhdRpP7//////////////w&ow=0.00734183&ox=0.755939&oy=-0.0188538&oz=-0.65433&track=Sol:Earth:Moon:LEM%20'Eagle'&select=Sol:Earth:Moon:LEM%20'Eagle'&fov=42.6111&ts=4000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.05)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end       
        end
    end) ()
-----------------------------------
Luna2325Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Armstrong and Aldrin"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 55, 2+14*(gg-25), 2, 5+14*25)
--==================
Luna2126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Astronauts"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-26), 105+12, 5+14*26)

Luna2126Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/Moon/LEM 'Eagle'")           
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:Moon:LEM%20'Eagle'/1969-07-25T19:24:55.62032?x=CF78z/3//////////////w&y=oRsBYg&z=oI62/QI&ow=-0.0769351&ox=0.961159&oy=0.0433166&oz=-0.261492&track=Sol:Earth:Moon:Armstrong&select=Sol:Earth:Moon:Armstrong&fov=42.6111&ts=8000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.05)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end       
        end
    end) ()	

Luna2326Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Armstrong and Aldrin"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 55, 2+14*(gg-26), 2, 5+14*26)	
--==================
Luna2127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 11+AS"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-27), 93+12, 5+14*27)

Luna2127Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Apollo 11+AS")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sol:Earth:Moon:Apollo%2011%2bAS/1969-07-16T16:32:31.54197?x=XMXgAhQ&y=+3wOgun//////////////w&z=XFfRpQ&ow=0.64816&ox=-0.669802&oy=-0.201521&oz=-0.301071&track=Sol:Earth:Moon:Apollo%2011%2bAS&select=Sol:Earth:Moon:Apollo%2011%2bAS&fov=42.6111&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()
----------------------------------
Luna2327Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Priming 21.7 kg"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 67, 2+14*(gg-27), 2, 5+14*27)
--==================
Luna2128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("6 Subsequent missions:"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 2, 2+14*(gg-28), 2, 5+14*28)
--==================
Luna2129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 12 J002e3"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-29), 50+20+12, 5+14*29)

Luna2329Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("stage S-IVB"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 110-20, 2+14*(gg-29), 2, 5+14*29)
--==================
Luna2130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 12 DM"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-30), 105, 5+14*30)

Luna2130Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/Moon/Apollo 12 DM")           
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:Moon:Apollo%2012%20DM/1969-11-23T17:15:50.62020?x=m+41mPb//////////////w&y=ilyNAf///////////////w&z=U6bv8f///////////////w&ow=-0.0386747&ox=0.708257&oy=0.0357298&oz=-0.703989&track=Sol:Earth:Moon:Apollo%2012%20DM&select=Sol:Earth:Moon:Apollo%2012%20DM&fov=42.6111&ts=8000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()
----------------------------------
Luna2230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("16-07-69"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 67, 2+14*(gg-30), 62, 5+14*30)

Luna2330Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2-34.4 kg"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 110, 2+14*(gg-30), 2, 5+14*30)
--==================
Luna2131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 13"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-31), 105, 5+14*31)

Luna2231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("11-04-70"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 67, 2+14*(gg-31), 62, 5+14*31)

Luna2331Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Accident."))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 110, 2+14*(gg-31), 2, 5+14*31)
--==================
Luna2132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 14 DM"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-32), 105, 5+14*32)

Luna2132Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/Moon/Apollo 14 DM")           
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:Moon:Apollo%2014%20DM/1971-02-09T23:35:18.26424?x=LRzl5Ac&y=F8sWqf///////////////w&z=o2MCmQI&ow=-0.0200932&ox=0.586283&oy=-0.010655&oz=0.809787&track=Sol:Earth:Moon:Apollo%2014%20DM&select=Sol:Earth:Moon:Apollo%2014%20DM&fov=42.6111&ts=4000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()
-----------------------------------
Luna2232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("01-02-71"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 67, 2+14*(gg-32), 62, 5+14*32)

Luna2332Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("3-42,9 kg"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 110, 2+14*(gg-32), 2, 5+14*32)
--==================
Luna2133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 15 DM"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-33), 105, 5+14*33)

Luna2133Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/Moon/Apollo 15 DM")           
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:Moon:Apollo%2015%20DM/1971-08-04T03:17:36.54044?x=ku4Pmwc&y=3DhdBv///////////////w&z=20lmiQU&ow=-0.0247596&ox=0.453039&oy=-0.0453197&oz=0.889993&track=Sol:Earth:Moon:Apollo%2015%20DM&select=Sol:Earth:Moon:Apollo%2015%20DM&fov=42.6111&ts=4000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()
-----------------------------------
Luna2233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("06-07-71"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 67, 2+14*(gg-33), 62, 5+14*33)

Luna2333Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("4-76,8 kg"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 110, 2+14*(gg-33), 2, 5+14*33)
--==================
Luna2134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 16 DM"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-34), 105, 5+14*34)

Luna2134Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/Moon/Apollo 16 DM")           
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:Moon:Apollo%2016%20DM/1972-04-29T18:21:07.71455?x=uw4AcQM&y=GXgQ5P3//////////////w&z=MuRRcvf//////////////w&ow=-0.109873&ox=0.975531&oy=-0.0228234&oz=0.189066&track=Sol:Earth:Moon:Apollo%2016%20DM&select=Sol:Earth:Moon:Apollo%2016%20DM&fov=42.6111&ts=8000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()
-----------------------------------
Luna2234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("16-04-72"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 67, 2+14*(gg-34), 62, 5+14*34)

Luna2334Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("5-94,7 kg"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 110, 2+14*(gg-34), 2, 5+14*34)
--==================
Luna2135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 17 DM"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-35), 105, 5+14*35)

Luna2135Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/Moon/Apollo 17 DM")           
            celestia:select(obj)            
            if not(empty(obj)) then 
    		   celestia:seturl("cel://Chase/Sol:Earth:Moon:Apollo%2017%20DM/1972-12-15T10:01:50.79448?x=GMoO3AM&y=43muzf7//////////////w&z=k/UhjQg&ow=0.0189504&ox=-0.210333&oy=0.0607558&oz=-0.975556&track=Sol:Earth:Moon:Apollo%2017%20DM&select=Sol:Earth:Moon:Apollo%2017%20DM&fov=42.6111&ts=4000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()
-----------------------------------
Luna2235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("07-12-72"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 67, 2+14*(gg-35), 62, 5+14*35)

Luna2335Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("6-110,5 kg"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 110, 2+14*(gg-35), 2, 5+14*35)
--==================
Luna2136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
  --  :fillcolor({1,1,0,.2})
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Flights 'Apollo' after 1972:"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 2, 2+14*(gg-36), 2, 5+14*36)
--==================
Luna2137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Skylab 2"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-37), 105, 5+14*37)

Luna2237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("25-05-73"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 67, 2+14*(gg-37), 62, 5+14*37)

Luna2337Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("<Apollo18"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 110, 2+14*(gg-37), 2, 5+14*37)
--==================
Luna2138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Skylab 3"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-38), 105, 5+14*38)

Luna2238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("28-07-73"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 67, 2+14*(gg-38), 62, 5+14*38)

Luna2338Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("<Apollo19"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 110, 2+14*(gg-38), 2, 5+14*38)
--==================
Luna2139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Skylab 4"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-39), 105, 5+14*39)

Luna2239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("16-11-73"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 67, 2+14*(gg-39), 62, 5+14*39)

Luna2339Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("<Apollo20"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 110, 2+14*(gg-39), 2, 5+14*39)
--==================
Luna2140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Handshake U.S. and the USSR:"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 2, 2+14*(gg-40), 2, 5+14*40)
--==================
Luna2141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo-Soyuz"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-41), 105, 5+14*41)

Luna2141Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("sol/earth/Apollo")           
            celestia:select(obj)            
            if not(empty(obj)) then
    		   celestia:seturl("cel://Chase/Sol:Earth:Apollo/1975-07-15T17:59:45.41581?x=eXTg1////////////////w&y=KASVyf3//////////////w&z=FCfPe/P//////////////w&ow=-0.0872568&ox=0.99603&oy=0.0159021&oz=-0.00758266&track=Sol:Earth:Apollo&select=Sol:Earth:Apollo&fov=42.6111&ts=2&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()
----------------------------------
Luna2241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("15-07-75"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 67, 2+14*(gg-41), 62, 5+14*41)

Luna2341Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("<Skylab-5"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 110, 2+14*(gg-41), 2, 5+14*41)
--==================
